
module fpga_bup (
	button_pio_out_export,
	cfi_flash_atb_bridge_0_out_tcm_address_out,
	cfi_flash_atb_bridge_0_out_tcm_read_n_out,
	cfi_flash_atb_bridge_0_out_tcm_write_n_out,
	cfi_flash_atb_bridge_0_out_tcm_data_out,
	cfi_flash_atb_bridge_0_out_tcm_chipselect_n_out,
	lcd_external_RS,
	lcd_external_RW,
	lcd_external_data,
	lcd_external_E,
	led_pio_external_connection_export,
	merged_resets_in_reset_reset_n,
	sys_clk_clk,
	mdc_from_the_tse_mac,
	mdio_in_to_the_tse_mac,
	mdio_out_from_the_tse_mac,
	mdio_oen_from_the_tse_mac,
	tse_mac_mac_misc_connection_magic_wakeup,
	tse_mac_mac_misc_connection_magic_sleep_n,
	tse_mac_mac_misc_connection_ff_tx_crc_fwd,
	tse_mac_mac_misc_connection_ff_tx_septy,
	tse_mac_mac_misc_connection_tx_ff_uflow,
	tse_mac_mac_misc_connection_ff_tx_a_full,
	tse_mac_mac_misc_connection_ff_tx_a_empty,
	tse_mac_mac_misc_connection_rx_err_stat,
	tse_mac_mac_misc_connection_rx_frm_type,
	tse_mac_mac_misc_connection_ff_rx_dsav,
	tse_mac_mac_misc_connection_ff_rx_a_full,
	tse_mac_mac_misc_connection_ff_rx_a_empty,
	tse_mac_pcs_ref_clk_clock_connection_clk,
	tse_mac_serdes_control_connection_export,
	tse_mac_serial_connection_txp,
	tse_mac_serial_connection_rxp,
	tse_mac_status_led_connection_crs,
	tse_mac_status_led_connection_link,
	tse_mac_status_led_connection_panel_link,
	tse_mac_status_led_connection_col,
	tse_mac_status_led_connection_an,
	tse_mac_status_led_connection_char_err,
	tse_mac_status_led_connection_disp_err);	

	input	[2:0]	button_pio_out_export;
	output	[26:0]	cfi_flash_atb_bridge_0_out_tcm_address_out;
	output	[0:0]	cfi_flash_atb_bridge_0_out_tcm_read_n_out;
	output	[0:0]	cfi_flash_atb_bridge_0_out_tcm_write_n_out;
	inout	[15:0]	cfi_flash_atb_bridge_0_out_tcm_data_out;
	output	[0:0]	cfi_flash_atb_bridge_0_out_tcm_chipselect_n_out;
	output		lcd_external_RS;
	output		lcd_external_RW;
	inout	[7:0]	lcd_external_data;
	output		lcd_external_E;
	output	[7:0]	led_pio_external_connection_export;
	input		merged_resets_in_reset_reset_n;
	input		sys_clk_clk;
	output		mdc_from_the_tse_mac;
	input		mdio_in_to_the_tse_mac;
	output		mdio_out_from_the_tse_mac;
	output		mdio_oen_from_the_tse_mac;
	output		tse_mac_mac_misc_connection_magic_wakeup;
	input		tse_mac_mac_misc_connection_magic_sleep_n;
	input		tse_mac_mac_misc_connection_ff_tx_crc_fwd;
	output		tse_mac_mac_misc_connection_ff_tx_septy;
	output		tse_mac_mac_misc_connection_tx_ff_uflow;
	output		tse_mac_mac_misc_connection_ff_tx_a_full;
	output		tse_mac_mac_misc_connection_ff_tx_a_empty;
	output	[17:0]	tse_mac_mac_misc_connection_rx_err_stat;
	output	[3:0]	tse_mac_mac_misc_connection_rx_frm_type;
	output		tse_mac_mac_misc_connection_ff_rx_dsav;
	output		tse_mac_mac_misc_connection_ff_rx_a_full;
	output		tse_mac_mac_misc_connection_ff_rx_a_empty;
	input		tse_mac_pcs_ref_clk_clock_connection_clk;
	output		tse_mac_serdes_control_connection_export;
	output		tse_mac_serial_connection_txp;
	input		tse_mac_serial_connection_rxp;
	output		tse_mac_status_led_connection_crs;
	output		tse_mac_status_led_connection_link;
	output		tse_mac_status_led_connection_panel_link;
	output		tse_mac_status_led_connection_col;
	output		tse_mac_status_led_connection_an;
	output		tse_mac_status_led_connection_char_err;
	output		tse_mac_status_led_connection_disp_err;
endmodule
